I can work around this if I rename the python executables in /home/bill/overo-oe/tmp/staging/i686-linux/usr/bin

The version of python is slightly newer in  Ubuntu 9.04 (2.6.2c1) compared to the version downloaded by bitbake (2.6.1).   This seems to prevent the gzip module from loading.

Can someone provide some direction on how to get bitbake to use the installed version?


----- Original Message -----
From: anon4321@comcast.net
To: "General mailing list for gumstix users." <gumstix-users@lists.sourceforge.net>
Sent: Sunday, April 19, 2009 11:45:50 AM GMT -05:00 US/Canada Eastern
Subject: Re: [Gumstix-users] Need Help with BB Error

I traced this down due a failure to import the gzip module.

I'm new to python.   Both tarfile.py and gzip.py appear to be installed in /usr/lib/python2.6.   However, bitbake is re-downloading it to
overo-oe/tmp/staging/i686-linux/usr/bin

How do I get bitbake to use the installed version?


----- Original Message -----
From: "anon4321" <anon4321@comcast.net>
To: gumstix-users@lists.sourceforge.net
Sent: Saturday, April 18, 2009 7:48:41 PM GMT -05:00 US/Canada Eastern
Subject: [Gumstix-users]  Need Help with BB Error


Ugh, this frustrating.   After hours of building, BB failed on the last task.
Anyone have any idea how to fix there error at the end of the log below?
I'm running Ubuntu 9.04.

bill@bill-desktop:~/overo-oe$ bitbake omap3-console-image
/home/bill/overo-oe/bitbake/lib/bb/COW.py:29: DeprecationWarning: the sets
module is deprecated
  import types, sets
NOTE: Psyco JIT Compiler (http://psyco.sf.net) not available. Install it to
increase performance.
NOTE: Handling BitBake files: \ (6700/6700) [100 %]
NOTE: Parsing finished. 6415 cached, 0 parsed, 285 skipped, 2 masked.
NOTE: Cache is clean, not saving.
NOTE: build 200904181942: started

OE Build Configuration:
BB_VERSION        = "1.8.13"
METADATA_BRANCH   = "overo"
METADATA_REVISION = "<unknown>"
TARGET_ARCH       = "arm"
TARGET_OS         = "linux-gnueabi"
MACHINE           = "overo"
DISTRO            = "angstrom"
DISTRO_VERSION    = "2009.X-test-20090418"
TARGET_FPU        = "hard"

NOTE: Resolving any missing task queue dependencies
NOTE: Preparing runqueue
NOTE: Executing runqueue
NOTE: Running task 2535 of 2536 (ID: 10,
/home/bill/overo-oe/org.openembedded.dev/recipes/images/omap3-console-image.bb,
do_rootfs)
NOTE: package omap3-console-image-1.0-r0: task do_rootfs: started
ERROR: function do_rootfs failed
ERROR: log data follows
(/home/bill/overo-oe/tmp/work/overo-angstrom-linux-gnueabi/omap3-console-image-1.0-r0/temp/log.do_rootfs.4807)
| + rm -rf /home/bill/overo-oe/tmp/rootfs
| + mkdir -p /home/bill/overo-oe/tmp/rootfs
| + mkdir -p /home/bill/overo-oe/tmp/deploy/glibc/images/overo
| + '[' 0 '!=' 1 ']'
| + for devtable in
/home/bill/overo-oe/org.openembedded.dev/files/device_table-minimal.txt
| + makedevs -r /home/bill/overo-oe/tmp/rootfs -D
/home/bill/overo-oe/org.openembedded.dev/files/device_table-minimal.txt
| + rootfs_ipk_do_rootfs
| + set -x
| + package_update_index_ipk
| + set -x
| + ipkgarchs='all any noarch arm  armv4 armv4t armv5te armv6 armv7 armv7a
overo'
| + '[' '!' -z '' ']'
| + touch /home/bill/overo-oe/tmp/deploy/glibc/ipk/Packages
| + ipkg-make-index -r /home/bill/overo-oe/tmp/deploy/glibc/ipk/Packages -p
/home/bill/overo-oe/tmp/deploy/glibc/ipk/Packages -l
/home/bill/overo-oe/tmp/deploy/glibc/ipk/Packages.filelist -m
/home/bill/overo-oe/tmp/deploy/glibc/ipk
| /home/bill/overo-oe/tmp/staging/i686-linux/usr/bin/ipkg.py:39:
DeprecationWarning: the md5 module is deprecated; use hashlib instead
|   import md5
|
| + for arch in '$ipkgarchs'
| + '[' -e /home/bill/overo-oe/tmp/deploy/glibc/ipk/all/ ']'
| + touch /home/bill/overo-oe/tmp/deploy/glibc/ipk/all/Packages
| + ipkg-make-index -r /home/bill/overo-oe/tmp/deploy/glibc/ipk/all/Packages
-p /home/bill/overo-oe/tmp/deploy/glibc/ipk/all/Packages -l
/home/bill/overo-oe/tmp/deploy/glibc/ipk/all/Packages.filelist -m
/home/bill/overo-oe/tmp/deploy/glibc/ipk/all/
| /home/bill/overo-oe/tmp/staging/i686-linux/usr/bin/ipkg.py:39:
DeprecationWarning: the md5 module is deprecated; use hashlib instead
|   import md5
| Traceback (most recent call last):
|   File
"/home/bill/overo-oe/tmp/staging/i686-linux/usr/bin/ipkg-make-index", line
114, in <module>
|     pkg = ipkg.Package(filename)
|   File "/home/bill/overo-oe/tmp/staging/i686-linux/usr/bin/ipkg.py", line
162, in __init__
|     tarf = tarfile.open("control.tar.gz", "r", tarStream)
|   File
"/home/bill/overo-oe/tmp/staging/i686-linux//usr/lib/python2.6/tarfile.py",
line 1649, in open
|     raise ReadError("file could not be opened successfully")
| tarfile.ReadError: file could not be opened successfully
NOTE: Task failed:
/home/bill/overo-oe/tmp/work/overo-angstrom-linux-gnueabi/omap3-console-image-1.0-r0/temp/log.do_rootfs.4807
NOTE: package omap3-console-image-1.0-r0: task do_rootfs: failed
ERROR: TaskFailed event exception, aborting
ERROR: Build of
/home/bill/overo-oe/org.openembedded.dev/recipes/images/omap3-console-image.bb
do_rootfs failed
ERROR: Task 10
(/home/bill/overo-oe/org.openembedded.dev/recipes/images/omap3-console-image.bb,
do_rootfs) failed
NOTE: Tasks Summary: Attempted 2534 tasks of which 2534 didn't need to be
rerun and 1 failed.
ERROR:
'/home/bill/overo-oe/org.openembedded.dev/recipes/images/omap3-console-image.bb'
failed
NOTE: build 200904181942: completed

--
View this message in context: http://www.nabble.com/Need-Help-with-BB-Error-tp23118397p23118397.html
Sent from the Gumstix mailing list archive at Nabble.com.


------------------------------------------------------------------------------
Stay on top of everything new and different, both inside and
around Java (TM) technology - register by April 22, and save
$200 on the JavaOne (SM) conference, June 2-5, 2009, San Francisco.
300 plus technical and hands-on sessions. Register today.
Use priority code J9JMT32. http://p.sf.net/sfu/p
_______________________________________________
gumstix-users mailing list
gumstix-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gumstix-users

------------------------------------------------------------------------------ Stay on top of everything new and different, both inside and around Java (TM) technology - register by April 22, and save $200 on the JavaOne (SM) conference, June 2-5, 2009, San Francisco. 300 plus technical and hands-on sessions. Register today. Use priority code J9JMT32. http://p.sf.net/sfu/p
_______________________________________________ gumstix-users mailing list gumstix-users@lists.sourceforge.net https://lists.sourceforge.net/lists/listinfo/gumstix-users